# Query Settlement Entries Return a paginated list of all settlement entries matching the given search criteria. If payoutId is not specified, currency, createdAfter and createdBefore must all be provided. Endpoint: GET /transactions/settlement Version: 3.0 Security: Marketplace API Key | Merchant Secret Token | Admin JWT | Merchant JWT | Marketplace JWT ## Query parameters: - `limit` (integer) Maximum results per page. Default to 20, must be between 1 and 500. - `page` (integer) Page number of results to show (starting at page 1). - `sort` (string) Comma-delimited list of fields to sort by with sort priority from first to last. Fields are sorted by their natural ordering unless prefixed with a - character. - `merchantId` (string, required) System identifier for merchant to show entries for - `currency` (string) Currency of entries Enum: "AFN", "DZD", "ARS", "AMD", "AWG", "AUD", "AZN", "BSD", "BHD", "THB", "PAB", "BBD", "BYR", "BZD", "BMD", "VEF", "BOB", "BRL", "BND", "BGN", "BIF", "CAD", "CVE", "KYD", "XOF", "XAF", "XPF", "CLP", "COP", "KMF", "CDF", "BAM", "NIO", "CRC", "HRK", "CUP", "CZK", "GMD", "DKK", "MKD", "DJF", "STD", "DOP", "VND", "XCD", "EGP", "SVC", "ETB", "EUR", "FKP", "FJD", "HUF", "GHS", "GIP", "HTG", "PYG", "GNF", "GYD", "HKD", "UAH", "ISK", "INR", "IRR", "IQD", "JMD", "JOD", "KES", "PGK", "LAK", "KWD", "MWK", "AOA", "MMK", "GEL", "LBP", "ALL", "HNL", "SLL", "LRD", "LYD", "SZL", "LSL", "MGA", "MYR", "MUR", "MXN", "MXV", "MDL", "MAD", "MZN", "BOV", "NGN", "ERN", "NAD", "NPR", "ANG", "ILS", "TWD", "NZD", "BTN", "KPW", "NOK", "PEN", "MRU", "PKR", "MOP", "TOP", "CUC", "UYU", "PHP", "GBP", "BWP", "QAR", "GTQ", "ZAR", "OMR", "KHR", "RON", "MVR", "IDR", "RUB", "RWF", "SHP", "SAR", "RSD", "SCR", "SGD", "SBD", "KGS", "SOS", "TJS", "SSP", "LKR", "SDG", "SRD", "SEK", "CHF", "SYP", "BDT", "WST", "TZS", "KZT", "TTD", "MNT", "TND", "TRY", "TMT", "AED", "UGX", "COU", "CLF", "UYI", "USD", "USN", "USS", "UZS", "VUV", "CHE", "CHW", "KRW", "YER", "JPY", "CNY", "ZMW", "ZWL", "PLN" - `createdAfter` (string) Return settlement entries that were created at or after this timestamp in ISO-8601 format Example: "2026-02-26T03:26:15.711628426Z" - `createdBefore` (string) Return settlement entries that were created at or before this timestamp in ISO-8601 format - `settlementType` (string) Include both payment and fee entries (Net) or just payment entries (Gross). Enum: "Net", "Gross" - `payoutId` (string) Filter by payout identifier - `invoiceId` (string) Filter by merchant invoice identifier ## Response 200 fields (application/json): - `currency` (string, required) ISO 4217 3 Digits Currency code - `items` (array) - `items.cardHolderName` (string) - `items.cardNumber` (string) - `items.entryDate` (string, required) - `items.entryTimestamp` (string, required) - `items.entryType` (string, required) Enum: "Payment", "Surcharge", "Refund", "PaymentFee", "TransactionTransfer", "PaymentFeeReversal", "TransactionTransferReversal", "TransactionTransferFeeReversal", "Payout", "PayoutReversal", "Dispute", "DisputeFee", "DisputeReversed", "DisputeFeeReversed", "MarketplaceFeePayment", "ManualTopUp", "ManualTopUpReversal", "PayoutFee" - `items.entryDescription` (string) - `items.settlementDate` (string) - `items.transactionType` (string) - `items.orderType` (string) Enum: "online", "manual", "invoice" - `items.orderId` (string) - `items.orderDescription` (string) - `items.orderMetadata` (object) - `items.merchantOrderId` (string) - `items.merchantId` (string, required) - `items.merchantName` (string, required) - `items.transactionId` (string) - `items.transactionAmount` (integer) - `items.billingCategory` (string) - `items.refundId` (string) - `items.payoutId` (string) - `items.referencePayoutId` (string) - `items.netAmount` (integer, required) - `items.grossAmount` (integer, required) - `items.platformFeesInclTax` (integer, required) - `items.platformFeesTax` (integer, required) - `items.customFieldValues` (object, required) - `totalPages` (integer, required) - `totalRecords` (integer, required) - `payoutSummary` (object) - `payoutSummary.activeFrom` (string) - `payoutSummary.activeTo` (string) - `payoutSummary.paidOn` (string) - `payoutSummary.status` (string, required) Enum: "created", "pending", "paid", "in_transit", "canceled", "failed", "reversed", "suspended" - `payoutSummary.settlementType` (string, required) Enum: "Net", "Gross" - `payoutSummary.failureReason` (string) - `payoutSummary.openingBalance` (integer, required) - `payoutSummary.closingBalance` (integer, required) - `payoutSummary.payoutAmount` (integer, required) - `created` (string, required) ## Response 400 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 401 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 403 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 404 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 405 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 406 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 409 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 422 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 429 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 500 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata ## Response 503 fields (application/json): - `statusCode` (integer, required) HTTP status code for this error - `errorCode` (string, required) An April code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type. - `message` (string, required) Human readable description of the error - `tracer` (string) An unique identifier for the request. Provide this to the support team if you wish to query a particular error. - `detail` (string) Optional additional details for the error. - `errorTypeDescription` (string) A description of the category of errors for the given statusCode. - `metadata` (any) Optional key value list of metadata